Bug 831290 - TorqueBox Applications Must Be Redeployed on Every EAP Restart
TorqueBox Applications Must Be Redeployed on Every EAP Restart
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise WFK Platform 2
Classification: JBoss
Component: TorqueBox (Show other bugs)
2.1.0
Unspecified Unspecified
high Severity high
: ---
: 2.2.0
Assigned To: Oliver Kišš
Oliver Kišš
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-12 12:53 EDT by Ben Browning
Modified: 2015-08-02 19:42 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
If an application deployed to TorqueBox via <command>torqebox deploy</command> or manual filestyem deployment is not deployed every time the application server is restarted, the .dodeploy and .deployed filesystem markers are removed. This means that the application will not deploy when the application server is restarted.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-05-14 10:54:40 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker JBPAPP-9328 Major Closed Apps are not deployed after EAP 6 restart in standalone profile 2015-08-20 06:19:28 EDT

  None (edit)
Description Ben Browning 2012-06-12 12:53:36 EDT
Applications deployed to TorqueBox via 'torquebox deploy' or manual filesystem deployment must be redeployed every time EAP is restarted. If not, the .dodeploy / .deployed filesystem markers get removed and the application does not deploy on EAP restarts. This is a big usability problem for TorqueBox users. The actual EAP issue is tracked at https://issues.jboss.org/browse/JBPAPP-9328.

TorqueBox 2.0.0.ER8 on top of JBoss EAP 6.0.0 GA were the versions tested that exhibit this behavior.
Comment 1 Karel Piwko 2012-06-13 03:46:26 EDT
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Applications deployed to TorqueBox via 'torquebox deploy' or manual filesystem deployment must be redeployed every time EAP is restarted. If not, the .dodeploy / .deployed filesystem markers get removed and the application does not deploy on EAP restarts. This is a big usability problem for TorqueBox users. The actual EAP issue is tracked at https://issues.jboss.org/browse/JBPAPP-9328.
Comment 3 Rebecca Newton 2012-06-18 00:05:28 EDT
    Technical note updated. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    Diffed Contents:
@@ -1 +1 @@
-Applications deployed to TorqueBox via 'torquebox deploy' or manual filesystem deployment must be redeployed every time EAP is restarted. If not, the .dodeploy / .deployed filesystem markers get removed and the application does not deploy on EAP restarts. This is a big usability problem for TorqueBox users. The actual EAP issue is tracked at https://issues.jboss.org/browse/JBPAPP-9328.+If an application deployed to TorqueBox via <command>torqebox deploy</command> or manual filestyem deployment is not deployed every time the application server is restarted, the .dodeploy and .deployed filesystem markers are removed. This means that the application will not deploy when the application server is restarted.
Comment 4 JBoss JIRA Server 2012-08-21 07:53:12 EDT
Andreas Eigenmann <andreas.eigenmann@helvetia.ch> made a comment on jira JBPAPP-9328

A patch would be nice, until 6.0.1.ER1 in Q4.
Comment 5 JBoss JIRA Server 2012-08-23 07:22:31 EDT
Andreas Eigenmann <andreas.eigenmann@helvetia.ch> made a comment on jira JBPAPP-9328

A patch for EAP 6.0.0 would be nice, until 6.0.1 in Q4.
Comment 6 JBoss JIRA Server 2012-09-26 11:33:13 EDT
Vladimir Rastseluev <vrastsel@redhat.com> updated the status of jira JBPAPP-9328 to Closed
Comment 7 JBoss JIRA Server 2012-09-26 11:33:13 EDT
Vladimir Rastseluev <vrastsel@redhat.com> made a comment on jira JBPAPP-9328

Verified on EAP 6.0.1 ER2
Comment 8 JBoss JIRA Server 2012-10-04 10:57:25 EDT
Sande Gilda <sgilda@redhat.com> made a comment on jira JBPAPP-9328

Does this need a release note for EAP 6.0.1? 
If so, the issue needs to be re-opened and the release notes flags set (Affects Release Notes, Not Yet Documented).
If not, the issue needs to be re-opened and the release notes flag set to "Release notes not required".
Comment 9 JBoss JIRA Server 2012-10-08 02:59:35 EDT
Darrin Mison <dmison@redhat.com> updated the status of jira JBPAPP-9328 to Reopened
Comment 10 JBoss JIRA Server 2012-10-08 02:59:35 EDT
Darrin Mison <dmison@redhat.com> made a comment on jira JBPAPP-9328

reopening for release notes
Comment 11 JBoss JIRA Server 2012-10-08 03:01:48 EDT
Darrin Mison <dmison@redhat.com> updated the status of jira JBPAPP-9328 to Closed
Comment 12 JBoss JIRA Server 2012-10-08 03:01:48 EDT
Darrin Mison <dmison@redhat.com> made a comment on jira JBPAPP-9328

documented as resolved in 6.0.1
Comment 13 JBoss JIRA Server 2012-10-08 03:28:46 EDT
Darrin Mison <dmison@redhat.com> updated the status of jira JBPAPP-9328 to Reopened
Comment 14 JBoss JIRA Server 2012-10-08 03:29:53 EDT
Darrin Mison <dmison@redhat.com> updated the status of jira JBPAPP-9328 to Closed
Comment 15 JBoss JIRA Server 2012-10-08 03:29:53 EDT
Darrin Mison <dmison@redhat.com> made a comment on jira JBPAPP-9328

fixed typo in release note
Comment 16 JBoss JIRA Server 2012-10-11 19:10:31 EDT
Darrin Mison <dmison@redhat.com> updated the status of jira JBPAPP-9328 to Reopened
Comment 17 JBoss JIRA Server 2012-10-11 19:12:21 EDT
Darrin Mison <dmison@redhat.com> updated the status of jira JBPAPP-9328 to Closed
Comment 18 JBoss JIRA Server 2012-10-11 19:12:21 EDT
Darrin Mison <dmison@redhat.com> made a comment on jira JBPAPP-9328

sorry, removed unnecessary details from release note.
Comment 19 JBoss JIRA Server 2012-10-15 22:20:22 EDT
Darrin Mison <dmison@redhat.com> updated the status of jira JBPAPP-9328 to Reopened
Comment 20 JBoss JIRA Server 2012-10-15 22:21:34 EDT
Darrin Mison <dmison@redhat.com> updated the status of jira JBPAPP-9328 to Closed
Comment 21 JBoss JIRA Server 2012-10-29 01:49:56 EDT
Darrin Mison <dmison@redhat.com> updated the status of jira JBPAPP-9328 to Reopened
Comment 22 JBoss JIRA Server 2012-10-29 01:51:02 EDT
Darrin Mison <dmison@redhat.com> updated the status of jira JBPAPP-9328 to Closed
Comment 24 mark yarborough 2012-11-05 10:07:50 EST
Depends on EAP 6.0.1, so is known issue for WFK 2.1
Comment 26 Oliver Kišš 2013-02-27 06:21:17 EST
Verified on WFK 2.2.0.ER1
Comment 27 Karel Piwko 2013-05-14 10:54:40 EDT
Closed as CURRENTRELEASE, part of WFK 2.2.0 distributables.

Note You need to log in before you can comment on or make changes to this bug.